Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.provider
Class AbstractMessageReaderWriterProvider<T>

    java.lang.Object
      com.sun.jersey.core.provider.AbstractMessageReaderWriterProvider<T>

All Implemented Interfaces:
  javax.ws.rs.ext.MessageBodyReader<T>, javax.ws.rs.ext.MessageBodyWriter<T>

Direct Known Subclasses:
  AbstractJAXBProvider

    public abstract class AbstractMessageReaderWriterProvider<T>

extends java.lang.Object
implements javax.ws.rs.ext.MessageBodyReader<T>, javax.ws.rs.ext.MessageBodyWriter<T>

Author:
  Paul.Sandoz@Sun.Com

Field Summary
`static java.nio.charset.Charset` | `UTF8`

Constructor Summary
`AbstractMessageReaderWriterProvider()`

Method Summary
`static java.nio.charset.Charset` | `getCharset(javax.ws.rs.core.MediaType m)`
`long` | `getSize(T t, java.lang.Class<?> type, java.lang.reflect.Type genericType, java.lang.annotation.Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)`
`static java.lang.String` | `readFromAsString(java.io.InputStream in, javax.ws.rs.core.MediaType type)`
`static void` | `writeTo(java.io.InputStream in, java.io.OutputStream out)`
`static void` | `writeTo(java.io.Reader in, java.io.Writer out)`
`static void` | `writeToAsString(java.lang.String s, java.io.OutputStream out, javax.ws.rs.core.MediaType type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.ws.rs.ext.MessageBodyReader
`isReadable, readFrom`

Methods inherited from interface javax.ws.rs.ext.MessageBodyWriter
`isWriteable, writeTo`

Field Detail

### UTF8

    public static final java.nio.charset.Charset UTF8

Constructor Detail

### AbstractMessageReaderWriterProvider

    public AbstractMessageReaderWriterProvider()

Method Detail

### getCharset

    public static final java.nio.charset.Charset getCharset(javax.ws.rs.core.MediaType m)

### writeTo

    public static final void writeTo(java.io.InputStream in,
                                     java.io.OutputStream out)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeTo

    public static final void writeTo(java.io.Reader in,
                                     java.io.Writer out)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFromAsString

    public static final java.lang.String readFromAsString(java.io.InputStream in,
                                                          javax.ws.rs.core.MediaType type)
                                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeToAsString

    public static final void writeToAsString(java.lang.String s,
                                             java.io.OutputStream out,
                                             javax.ws.rs.core.MediaType type)
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSize

    public long getSize(T t,
                        java.lang.Class<?> type,
                        java.lang.reflect.Type genericType,
                        java.lang.annotation.Annotation[] annotations,
                        javax.ws.rs.core.MediaType mediaType)

  Specified by:
    `getSize` in interface `javax.ws.rs.ext.MessageBodyWriter<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.